| Home | Libraries | People | FAQ | More

###### field::operator= (25 of 25 overloads)

Replaces `*this` with `v`, changing the kind to `v.kind()` and destroying any previous contents.

###### Synopsis

    field&
    operator=(
        const field_view& v);

###### Exception safety

Basic guarantee. Internal allocations may throw.

###### Object lifetimes

Invalidates references to `*this` obtained by as_xxx and get_xxx functions, but not the ones obtained by `field::operator field_view()`.

`*this`is guaranteed to be valid even after `v` becomes invalid.